<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/03/2004 *
 * ===================                          Last change: 10/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : birthday_confirm.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Birthday bonus confirmation link                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Geburtstagsgutschrift bestaetigen                *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

// Set module
$GLOBALS['__module']      = 'birthday_confirm';
$GLOBALS['__output_mode'] = '0';

// Load the required file(s)
require('inc/config-global.php');

// Set content type
setContentType('text/html');

// Is the 'birthday' extension active?
redirectOnUninstalledExtension('birthday');

// Script is installed so let's check for his confirmation link...
$userid = bigintval(getRequestElement('userid'));

// Only allow numbers here...
$chk = bigintval(getRequestElement('check'), FALSE);

// Check if link is not clicked so far
$result = sqlQueryEscaped("SELECT
	`b`.`points`,
	`d`.`userid`,
	`d`.`gender`,
	`d`.`surname`,
	`d`.`family`,
	`d`.`status`,
	`d`.`ref_payout`
FROM
	`{?_MYSQL_PREFIX?}_user_birthday` AS `b`
INNER JOIN
	`{?_MYSQL_PREFIX?}_user_data` AS `d`
ON
	`b`.`userid`=`d`.`userid`
WHERE
	`b`.`userid`=%s AND
	`b`.`chk_value`='%s'
LIMIT 1",
	array(
		$userid,
		$chk
	), __FILE__, __LINE__);
//* DEBUG: */ debugOutput("userid=".$userid.",chk=".$chk." (".strlen($chk).'/'.strlen(getRequestElement('check')).'/'.sqlNumRows($result) . ')');

// Prepare content
$content = array();

// Is an entry there?
if (sqlNumRows($result) == 1) {
	// Ok, congratulation again! Here's your gift from us...
	$data = sqlFetchArray($result, FALSE);

	// Is the account confirmed?
	if ($data['status'] == 'CONFIRMED') {
		// Add points to account
		initReferralSystem();
		addPointsThroughReferralSystem('birthday_confirm', $userid, $data['points']);

		// Remove entry from table
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_birthday` WHERE `userid`=%s AND `chk_value`='%s' LIMIT 1",
			array($userid, $chk), __FILE__, __LINE__);

		// Load message from template
		$content['message'] = loadTemplate('birthday_msg', TRUE, $data);
	} else {
		// Unconfirmed / locked accounts cannot get points
		$content['message'] = '{%message,MEMBER_BIRTHDAY_CANNOT_STATUS=' . $data['status'] . '%}';
	}
} else {
	// Cannot load data!
	$content['message'] = '{--MEMBER_BIRTHDAY_CANNOT_LOAD_DATA--}';
}

// Free memory
sqlFreeResult($result);

// Set this because there is no module in URI
$GLOBALS['__module'] = 'birthday_confirm';

// Include header
loadPageHeader();

// Load final template and output it
loadTemplate('birthday_confirm', FALSE, $content);

// Include footer
loadPageFooter();

// [EOF]
?>
