<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/25/2013 *
 * ===================                          Last change: 06/25/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : mode-setup.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Double points                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Punkte verdoppeln                                *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// @TODO Remove double tabs from all lines
		// Doubler table
		addDropTableSql('doubler');
		addCreateTableSql('doubler', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`refid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`points` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
`remote_ip` VARCHAR(15) NOT NULL DEFAULT '0.0.0.0',
`timemark` BIGINT(10) NOT NULL DEFAULT 0,
`completed` ENUM('Y','N') NOT NULL DEFAULT 'N',
`is_ref` ENUM('Y','N') NOT NULL DEFAULT 'N',
PRIMARY KEY (`id`),
INDEX (`refid`),
INDEX (`userid`)",
			'User doubler data');

		//
		// --- SETTINGS ---
		//
		// Minimum points to double
		addConfigAddSql('doubler_min', 'FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 100.00000');
		// Maximum points to double
		addConfigAddSql('doubler_max', 'FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 10000.00000');
		// Points left on users account after doubling
		addConfigAddSql('doubler_left', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT 1000');
		// Charge for doubling points which goes to the webmaster (shreddered in fact!)
		addConfigAddSql('doubler_charge', 'FLOAT(7,5) UNSIGNED NOT NULL DEFAULT 0.03000');
		// Referral percents
		addConfigAddSql('doubler_ref', 'FLOAT(7,5) UNSIGNED NOT NULL DEFAULT 0.02000');
		// Shall I use the jackpot to take points from? (Y/N, default=Y)
		addConfigAddSql('doubler_jackpot', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		// A user account to take points from (default: 0->none)
		addConfigAddSql('doubler_userid', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT 0');
		// Total payed out points from your doublers
		addConfigAddSql('doubler_points', 'FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000');
		// Sending mode of mails (immediately/daily reset)
		// --> This also means who fast the doubled points will be payed out!
		addConfigAddSql('doubler_send_mode', "ENUM('DIRECT','RESET') NOT NULL DEFAULT 'DIRECT'");
		// Timeout for entries to be purged (default: one week)
		addConfigAddSql('doubler_timeout', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT ' . (getOneDay() * 7));
		// Number of newest entries to display
		addConfigAddSql('doubler_display_new', 'TINYINT(3) UNSIGNED NOT NULL DEFAULT 10');
		// Number of entries which will be payed out soon
		addConfigAddSql('doubler_display_pay', 'TINYINT(3) UNSIGNED NOT NULL DEFAULT 10');
		// Number of entries which are already payed out
		addConfigAddSql('doubler_display_old', 'TINYINT(3) UNSIGNED NOT NULL DEFAULT 10');
		// Points used by every member
		addExtensionAddTableColumnSql('user_data', 'doubler_points', 'FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000');
		// Counter for usage of the doubler
		addConfigAddSql('doubler_counter', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT 0');

		//
		// --- MENU SYSTEMS ---
		//
		// Admin menu
		addAdminMenuSql('doubler', NULL, '{OPEN_CONFIG}POINTS{CLOSE_CONFIG}-Verdoppler','Einstellungen und Eintr&auml;ge auflisten.', 4);
		addAdminMenuSql('doubler','list_doubler','Auflisten','Eintr&auml;ge aus der Verdiensttabelle auflisten', 1);
		addAdminMenuSql('doubler','config_doubler','Einstellungen','Prozentuale Geb&uuml;hr usw. einstellen.', 2);

		// Guest menu (informations / default doubler link)
		addGuestMenuSql('main', 'doubler', 'Verdoppeln!', 3);

		// Member menu
		addMemberMenuSql('main', 'doubler', 'Verdoppeln!', 7);

// [EOF]
?>
